package com.xlht.xlhtproject.controller;


import com.alibaba.fastjson2.JSON;
import com.xlht.xlhtproject.domain.TXlhtMedicineParam;
import com.xlht.xlhtproject.mapper.TXlhtMedicineParamMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/test")
@Slf4j
public class TestController {

    @Autowired
    private TXlhtMedicineParamMapper xlhtMedicineParamMapper;

    @GetMapping("/hello")
    public String hello() {
        return "hello";
    }

    @GetMapping("/testMyBatis")
    public TXlhtMedicineParam testMyBatis() {
        TXlhtMedicineParam tXlhtMedicineParam = xlhtMedicineParamMapper.selectTXlhtMedicineParamById(1L);
        System.out.println(JSON.toJSONString(tXlhtMedicineParam));
        return tXlhtMedicineParam;
    }

}
