package com.xlht.xlhtproject.service;

import java.util.List;
import com.xlht.xlhtproject.domain.TTbXie;

/**
 * 同步数据_组态_写数据Service接口
 * 
 * @author slibra
 * @date 2024-09-19
 */
public interface ITTbXieService 
{
    /**
     * 查询同步数据_组态_写数据
     * 
     * @param ID 同步数据_组态_写数据主键
     * @return 同步数据_组态_写数据
     */
    public TTbXie selectTTbXieByID(Long ID);

    /**
     * 查询同步数据_组态_写数据列表
     * 
     * @param tTbXie 同步数据_组态_写数据
     * @return 同步数据_组态_写数据集合
     */
    public List<TTbXie> selectTTbXieList(TTbXie tTbXie);

    /**
     * 新增同步数据_组态_写数据
     * 
     * @param tTbXie 同步数据_组态_写数据
     * @return 结果
     */
    public int insertTTbXie(TTbXie tTbXie);

    /**
     * 修改同步数据_组态_写数据
     * 
     * @param tTbXie 同步数据_组态_写数据
     * @return 结果
     */
    public int updateTTbXie(TTbXie tTbXie);

    /**
     * 批量删除同步数据_组态_写数据
     * 
     * @param IDs 需要删除的同步数据_组态_写数据主键集合
     * @return 结果
     */
    public int deleteTTbXieByIDs(Long[] IDs);

    /**
     * 删除同步数据_组态_写数据信息
     * 
     * @param ID 同步数据_组态_写数据主键
     * @return 结果
     */
    public int deleteTTbXieByID(Long ID);
}
